Name: design-alterator-browser-chainmail
Version: 0.1
Release: alt1
BuildArch: noarch

Source:%name-%version.tar

Summary: Design for QT alterator for Chainmail version
License: GPL
Group: System/Configuration/Other
Packager: Grigory Batalov <bga@altlinux.ru>

Requires: alterator-browser-qt
PreReq(post,preun): alternatives >= 0.2

BuildRequires(pre): libqt4-core 
BuildRequires: libalternatives-devel
BuildRequires: libqt4-devel

%description
Design for QT alterator for Chainmail version

%prep
%setup -q

%build
%make_build

%install
install -Dp -m 644 chainmail.rcc %buildroot%_datadir/alterator-browser-qt/design/chainmail.rcc

mkdir -p %buildroot/%_altdir
cat >%buildroot/%_altdir/%name <<__EOF__
/etc/alterator/design-browser-qt	%_datadir/alterator-browser-qt/design/chainmail.rcc 50
__EOF__

%post
%post_register_alternatives %name -- %name
%update_alternatives

%preun
%preun_unregister_alternatives %name

%files
%config %_altdir/%name
%_datadir/alterator-browser-qt/design/chainmail.rcc

%changelog
* Tue Aug 28 2007 Grigory Batalov <bga@altlinux.ru> 0.1-alt1
- Initial build based on design-alterator-browser-hpc-0.1-alt1.
- Color scheme changed.
